
from scenarios.powerowl_example.extensions.cp_data_interface import CPDataInterface

from wattson.util import get_logger

class CPDataFactory:
    def __init__(
        self,
        dataset,
        start_time,
    ):
        self.interface = None
        self.dataset = dataset
        self.start_time = start_time
        self.logger = get_logger("CPDataFactory", "CPDataFactory")

    def get_interface(self):
        if self.interface:
            return self.interface
        self.interface = CPDataInterface(
            dataset=self.dataset,
            start_time=self.start_time,
        )
        return self.interface